Bug 1649874 - Review Request: hpx - a general purpose C++ runtime system for parallel and distributed applications of any scale
Summary: Review Request: hpx - a general purpose C++ runtime system for parallel and d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luis Segundo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1648498 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 16:41 UTC by Christoph Junghans
Modified: 2018-12-02 08:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-02 07:36:49 UTC
luis: fedora-review+


Attachments (Terms of Use)

Description Christoph Junghans 2018-11-14 16:41:55 UTC
Spec URL: https://fedorapeople.org/~junghans/hpx.spec
SRPM URL: https://fedorapeople.org/~junghans/hpx-1.2.0-1.fc29.src.rpm
Description: HPX is a general purpose C++ runtime system for parallel and distributed applications of any scale.

The goal of HPX is to create a high quality, freely available, open source implementation of the ParalleX model for conventional systems, such as classic Linux based Beowulf clusters or multi-socket highly parallel SMP nodes. At the same time, we want to have a very modular and well designed runtime system architecture which would allow us to port our implementation onto new computer system architectures. We want to use real world applications to drive the development of the runtime system, coining out required functionality and converging onto a stable API which will provide a smooth migration path for developers. The API exposed by HPX is modeled after the interfaces defined by the C++11 ISO standard and adheres to the programming guidelines used by the Boost collection of C++ libraries.

Fedora Account System Username: junghans
TaskID: https://koji.fedoraproject.org/koji/taskinfo?taskID=30873337

This spec was written in collaboration with diehlpk

Comment 1 Patrick Diehl 2018-11-14 17:14:48 UTC
Since HPX 1.2 was released this Monday the hpx.spec file was updated to 1.2 instead of using the release candidate and can be found here

https://github.com/diehlpk/hpx_packaging/blob/fedora/29/Fedora/hpx.spec

Comment 2 Christoph Junghans 2018-11-14 17:30:00 UTC
@Luis Bazan: https://github.com/diehlpk/hpx_packaging/blob/fedora/29/Fedora/hpx.spec and https://fedorapeople.org/~junghans/hpx.spec are the same spec files.

Comment 3 Luis Bazan 2018-11-14 18:10:29 UTC
Hi Christoph

this BZ is duplicated
https://bugzilla.redhat.com/show_bug.cgi?id=1648498

Cheers,

Comment 4 Luis Bazan 2018-11-14 18:13:47 UTC
Hi Christoph and Patrick

Can we clarify which of the bz we should attend? BZ 1649874 or 1648498?.

Cheers,

Comment 5 Luis Bazan 2018-11-14 18:17:20 UTC
I can close this BZ and continue with 1648498?

Cheers,

Comment 6 Patrick Diehl 2018-11-14 18:47:58 UTC
Yes, for me both are fine, as long I and Christoph could maintain the package.

Comment 7 Christoph Junghans 2018-11-14 18:52:44 UTC
*** Bug 1648498 has been marked as a duplicate of this bug. ***

Comment 8 Christoph Junghans 2018-11-15 16:56:34 UTC
@Luis Bazan, there was something flaky going on in the i686 build, so I made revision bump incl. https://github.com/STEllAR-GROUP/hpx/pull/3551

Spec URL: https://fedorapeople.org/~junghans/hpx.spec
SRPM URL: https://fedorapeople.org/~junghans/hpx-1.2.0-2.fc29.src.rpm
TaskID: https://koji.fedoraproject.org/koji/taskinfo?taskID=30901371

Comment 9 Luis Segundo 2018-11-16 13:51:41 UTC
Hi Christoph please check the following error

scratch build of hpx-1.2.0-2.fc29.src.rpm for rawhide failed
http://koji.fedoraproject.org/koji/taskinfo?taskID=30904001

make: *** [Makefile:144: all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.eaHZQU (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.eaHZQU (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 89, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 582, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target aarch64 --nodeps /builddir/build/SPECS/hpx.spec

send me the rpmlint and link of koji when you fixed.

regards

Comment 10 Christoph Junghans 2018-11-16 14:26:54 UTC
Luis, did you change anything in the spec? My koji build worked, but looking at the error ("g++: fatal error: Killed signal terminated program cc1plus"), it seems it ran out of memory on aarch64, I will check.

Comment 12 Luis Segundo 2018-11-18 16:49:41 UTC
Spec looks good!
License: Ok

rpmlint hpx-1.2.0-3.fc29.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package approved!

regards

Comment 13 Gwyn Ciesla 2018-11-19 14:40:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/hpx

Comment 14 Patrick Diehl 2018-11-19 16:03:42 UTC
How can I access the repo? 

We got following error when adding the user diehlpk to the repo?

There is an error: "This user must be in one of the following groups to be allowed to be added to this project: packager"

Comment 15 Luis Bazan 2018-11-19 18:23:46 UTC
Hi Patrick --

Try again.

Cheers,

Comment 16 Fedora Update System 2018-11-20 13:48:57 UTC
hpx-1.2.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a9b53adbdc

Comment 17 Fedora Update System 2018-11-20 13:51:37 UTC
hpx-1.2.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8367209bd8

Comment 18 Fedora Update System 2018-11-21 04:31:55 UTC
hpx-1.2.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8367209bd8

Comment 19 Fedora Update System 2018-11-21 05:11:11 UTC
hpx-1.2.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a9b53adbdc

Comment 20 Miro Hrončok 2018-11-22 11:23:31 UTC
hpx-devel-1.2.0-3.fc30 requires /usr/bin/python2
hpx-examples-1.2.0-3.fc30 requires /usr/bin/python2
hpx-mpich-devel-1.2.0-3.fc30 requires /usr/bin/python2
hpx-mpich-examples-1.2.0-3.fc30 requires /usr/bin/python2
hpx-openmpi-devel-1.2.0-3.fc30 requires /usr/bin/python2
hpx-openmpi-examples-1.2.0-3.fc30requires /usr/bin/python2

Dependency on deprecated Python 2 is forbidden in new Fedora packages and this package should not have been approved as is.


It the dependency intentional? Can it be switched to Python 3? Is it some forgotten script with shebang or main purpose executable of the package?

Please get rid of the legacy Python dependency.

Comment 21 Miro Hrončok 2018-11-22 11:30:47 UTC
List of files with python2 shebangs:

/usr/bin/hpx_hpx_invoke.py
/usr/bin/hpx_hpx_run_test.py
/usr/bin/hpx_hpx_environment.py
/usr/bin/hpx_hpxrun.py
/usr/bin/hpx_hpx_optsweep.py
/usr/bin/hpx_hpxcxx
/usr/lib64/mpich/bin/hpx_hpx_invoke.py
/usr/lib64/mpich/bin/hpx_hpx_run_test.py
/usr/lib64/mpich/bin/hpx_hpxrun.py
/usr/lib64/mpich/bin/hpx_hpx_optsweep.py
/usr/lib64/mpich/bin/hpx_hpxcxx
/usr/lib64/openmpi/bin/hpx_hpx_invoke.py
/usr/lib64/openmpi/bin/hpx_hpx_run_test.py
/usr/lib64/openmpi/bin/hpx_hpx_environment.py
/usr/lib64/openmpi/bin/hpx_hpxrun.py
/usr/lib64/openmpi/bin/hpx_hpx_optsweep.py
/usr/lib64/openmpi/bin/hpx_hpxcxx
/usr/lib64/mpich/bin/hpx_hpx_environment.py
/usr/lib64/cmake/HPX/templates/hpxrun.py.in
/usr/lib64/cmake/HPX/templates/hpxcxx.in
/usr/lib64/mpich/lib/cmake/HPX/templates/hpxrun.py.in
/usr/lib64/mpich/lib/cmake/HPX/templates/hpxcxx.in
/usr/lib64/openmpi/lib/cmake/HPX/templates/hpxrun.py.in
/usr/lib64/openmpi/lib/cmake/HPX/templates/hpxcxx.in

Comment 22 Christoph Junghans 2018-11-22 13:13:11 UTC
@miro, the scripts should work with python3 as well, I will fix that shortly.

Comment 23 Miro Hrončok 2018-11-22 13:52:05 UTC
Thank you, Christoph!

Comment 24 Christoph Junghans 2018-11-22 14:22:31 UTC
Fixed in hpx-1.2.0-4.

Comment 25 Luis Bazan 2018-11-22 14:27:04 UTC
(In reply to Luis Segundo from comment #12)
> Spec looks good!
> License: Ok
> 
> rpmlint hpx-1.2.0-3.fc29.src.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> Package approved!
> 
> regards

Hi Luis can you review again please?

Comment 27 Fedora Update System 2018-11-23 14:02:12 UTC
hpx-1.2.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-282193eb69

Comment 28 Fedora Update System 2018-11-23 14:03:12 UTC
hpx-1.2.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9da04dcdf5

Comment 29 Fedora Update System 2018-11-24 05:02:37 UTC
hpx-1.2.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9da04dcdf5

Comment 30 Fedora Update System 2018-11-24 05:46:41 UTC
hpx-1.2.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-282193eb69

Comment 31 Miro Hrončok 2018-11-24 08:32:52 UTC
Thank You.

$ rpm -qp --requires hpx-* | grep python
/usr/bin/python3
/usr/bin/python3
/usr/bin/python3
/usr/bin/python3
/usr/bin/python3
/usr/bin/python3

Comment 32 Patrick Diehl 2018-12-02 00:41:51 UTC
Hi Louis,

I think that I still do not have commit access to the git repo

[Patrick@thinpad hpx]$ bodhi updates request --user=diehlpk
FEDORA-2018-282193eb69  stable
diehlpk does not have commit access to hpx

Best,

Patrick

Comment 33 Fedora Update System 2018-12-02 07:36:49 UTC
hpx-1.2.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2018-12-02 08:24:53 UTC
hpx-1.2.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.